import { AfterContentInit, ElementRef, EventEmitter, QueryList, Renderer2 } from '@angular/core';
import { ButtonComponent } from '../button/button.component';
export declare type ButtonGroupTheme = '' | 'dark';
export declare type ButtonGroupType = '' | 'pill';
export interface ButtonGroupSelectChange {
    event: MouseEvent;
    index: number;
}
export declare class ButtonGroupComponent implements AfterContentInit {
    private elementRef;
    private renderer;
    /** @prop Sets initial active Button by index | null */
    activeIndex: number;
    /** @prop Text to display for blindness accessibility features | '' */
    ariaLabel: string;
    /** @prop Set focus to ButtonGroup when page is loaded | false */
    focusOnLoad: boolean;
    /** @prop Highlights the selected button within group | true */
    highlightSelected: boolean;
    /** @prop Optional text-justified css styling | true */
    justified: boolean;
    /** @prop Sets width of a pill Button | '60px' */
    pillWidth: string;
    /** @prop Optional Button color theme for ButtonGroup | '' */
    theme: ButtonGroupTheme;
    /** @prop Optional Button type for ButtonGroup | '' */
    type: ButtonGroupType;
    readonly select: EventEmitter<ButtonGroupSelectChange>;
    buttonList: QueryList<ButtonComponent>;
    private _focusIndex;
    private _theme;
    private _type;
    constructor(elementRef: ElementRef, renderer: Renderer2);
    ngAfterContentInit(): void;
    getNewIndex(currentIndex: number, change: number): number;
    setFocusIndex(index: number): void;
    determineInitialActive(): void;
    setActiveIndex(index: number): void;
    getIncludesFirstCharacter(str: string, char: string): boolean;
    setFocusByFirstCharacter(char: string, currentIdx: number): void;
    handleClick(event: MouseEvent, index: number): void;
    handleKeydown(event: KeyboardEvent, index: number): void;
}
